
Ruby - Bug #4511

Ripper#end_seen? の戻り値に関するコメント

03/19/2011 02:03 PM - sho-h (Sho Hashimoto)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.0.0   

ruby -v: ruby 1.9.3dev (2011-03-19 trunk 31128)

[x86_64-linux]

Backport:  

Description

=begin

Ripper#end_seen? は true か false しか返さないと思うので、コメントが間違っている気がします。例えば、以下のような修正になるのではないではないかと思います。

Return if parsed source ended by +__END__+.

This number starts from 1.

Return true if parsed source ended by +__END__+.

パッチも添付しておきますので、問題ないようでしたら、取り込んでやってください。

=end

Associated revisions

Revision 8d00a7c2 - 06/26/2011 03:45 PM - naruse (Yui NARUSE)

parse.y (rb_parser_end_seen_p): fix documentation about return

value. patched by Sho Hashimoto. [Bug #4511]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32239 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9ff7e818 - 08/11/2011 12:37 AM - yugui (Yuki Sonoda)

merges r32239 from trunk into ruby_1_9_2.

parse.y (rb_parser_end_seen_p): fix documentation about return

value. patched by Sho Hashimoto. [Bug #4511]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@32909 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/26/2011 06:36 PM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to naruse (Yui NARUSE)

#2 - 06/27/2011 12:45 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32239.

Sho, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

parse.y (rb_parser_end_seen_p): fix documentation about return

value. patched by Sho Hashimoto. [Bug #4511]

Files

parse.y.patch 411 Bytes 03/19/2011 sho-h (Sho Hashimoto)
